# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.0.6] - 2019-06-16
### Added
- CORS support in HttpServerService
- Link to GitHub repo
- Color logger output
- Each service running in a separate process
- Unregistering of services
- Reloading of services and the configuration
- Restart services after downtime
- Service: Directory Service
- CLI runner

### Changed
- open Microset frontend lib for extensions

### Removed
- drop support for ExpressJS
- remove ServiceContainer (use ServiceRegistry instead)

## [0.0.5] - 2019-05-30
### Added
- add callback interface to JSON-RPC client lib

### Changed
- drop prefix by default in HttpServerService
- extend documentation of bundled services

### Fixed
- handle connection errors in JSON-RPC client lib

## [0.0.4] - 2019-05-26
### Added
- add support for binary files in HttpServerService

### Fixed
- serve binary files by StaticContentService

## [0.0.3] - 2019-05-25
### Added
- Whitelisting for JSON-RPC Gateway
- Documentation of examples
- Documentation: configuration
- Documentation: logging
- Documentation: service register
- Service: Static Content

## [0.0.2] - 2019-05-19
### Added
- Multiple instances of the same service
- Querying services
- Service: Echo
- Service: Http Server
- Service: JSON-RPC Gateway
- Service: JSON-RPC Client
- Service: JSON Storage

### Changed
- README update (install instructions)
- Bootstrap services automatically after registration
- Turn JSON-RPC server into micro-services

## [0.0.1] - 2019-05-04
### Added
- Expose services API over HTTP ([JSON-RPC](https://www.jsonrpc.org/specification))
- Service Registry
- Log management
- Configuration management
