const NativeService = require('../../NativeService.js');

/**
 * Provides information about services available in Microset
  * @memberof module:directory
 */
class DirectoryService extends NativeService {
  /**
   * Initialize the service
   */
  init() {
    this.expose('getInfo');
  }

  /**
   * @return {Object} JSON object containing information about the reistry,
   *         registered services and their methods
   */
  async getInfo() {
    return this._serviceRegistry.describe();
  }
}

module.exports = DirectoryService;
