const Service = require('../../Service.js');

/**
 * Response with the same message as received
 * in the request. Could be use in debuging
 * and/or testing.
 * @memberof module:echo
 */
class EchoService extends Service {
  /**
   * Initialize the service
   */
  async init() {
    this.expose('echo');
  }

  /**
   * @param {Array} args - any input that is going to be returned
   * @return {Object} - the same response as input. When many arguments are
   *         provided, array is returned. When single argument provided, it
   *         is returned as the response.
   */
  async echo(...args) {
    if (args.length == 0) {
      return {};
    } else if (args.length > 1) {
      return args;
    } else {
      return args[0];
    }
  }
}

module.exports = EchoService;
